Skip to main content
PUT
/
v2
/
session
/
apps
/
{appID}
/
config
/
claims
Update claims mapping config
curl --request PUT \
  --url https://api.prelude.dev/v2/session/apps/{appID}/config/claims \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "mapping": {}
}'
{
  "config": {
    "mapping": {},
    "version": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Body

application/json
mapping
object
required
Example:
{
"custom_claim": "profile.first_name",
"role": "profile.role"
}

Response

OK

config
object
required